Upstream information

CVE-2015-6831 at MITRE

Description

Multiple use-after-free vulnerabilities in SPL in PHP before 5.4.44, 5.5.x before 5.5.28, and 5.6.x before 5.6.12 allow remote attackers to execute arbitrary code via vectors involving (1) ArrayObject, (2) SplObjectStorage, and (3) SplDoublyLinkedList, which are mishandled during unserialization.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 942291 [RESOLVED / FIXED], 942294 [RESOLVED / FIXED], 942295 [RESOLVED / FIXED], 945188 [RESOLVED / DUPLICATE], 980366 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php5 >= 5.5.14-36.1
  • php5 >= 5.5.14-36.1
  • php5-bcmath >= 5.5.14-36.1
  • php5-bz2 >= 5.5.14-36.1
  • php5-calendar >= 5.5.14-36.1
  • php5-ctype >= 5.5.14-36.1
  • php5-curl >= 5.5.14-36.1
  • php5-dba >= 5.5.14-36.1
  • php5-dom >= 5.5.14-36.1
  • php5-enchant >= 5.5.14-36.1
  • php5-exif >= 5.5.14-36.1
  • php5-fastcgi >= 5.5.14-36.1
  • php5-fileinfo >= 5.5.14-36.1
  • php5-fpm >= 5.5.14-36.1
  • php5-ftp >= 5.5.14-36.1
  • php5-gd >= 5.5.14-36.1
  • php5-gettext >= 5.5.14-36.1
  • php5-gmp >= 5.5.14-36.1
  • php5-iconv >= 5.5.14-36.1
  • php5-intl >= 5.5.14-36.1
  • php5-json >= 5.5.14-36.1
  • php5-ldap >= 5.5.14-36.1
  • php5-mbstring >= 5.5.14-36.1
  • php5-mcrypt >= 5.5.14-36.1
  • php5-mysql >= 5.5.14-36.1
  • php5-odbc >= 5.5.14-36.1
  • php5-opcache >= 5.5.14-36.1
  • php5-openssl >= 5.5.14-36.1
  • php5-pcntl >= 5.5.14-36.1
  • php5-pdo >= 5.5.14-36.1
  • php5-pear >= 5.5.14-36.1
  • php5-pgsql >= 5.5.14-36.1
  • php5-posix >= 5.5.14-36.1
  • php5-pspell >= 5.5.14-36.1
  • php5-shmop >= 5.5.14-36.1
  • php5-snmp >= 5.5.14-36.1
  • php5-soap >= 5.5.14-36.1
  • php5-sockets >= 5.5.14-36.1
  • php5-sqlite >= 5.5.14-36.1
  • php5-suhosin >= 5.5.14-36.1
  • php5-sysvmsg >= 5.5.14-36.1
  • php5-sysvsem >= 5.5.14-36.1
  • php5-sysvshm >= 5.5.14-36.1
  • php5-tokenizer >= 5.5.14-36.1
  • php5-wddx >= 5.5.14-36.1
  • php5-xmlreader >= 5.5.14-36.1
  • php5-xmlrpc >= 5.5.14-36.1
  • php5-xmlwriter >= 5.5.14-36.1
  • php5-xsl >= 5.5.14-36.1
  • php5-zip >= 5.5.14-36.1
  • php5-zlib >= 5.5.14-36.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2015-603
SUSE Linux Enterprise Server 11 SP2-LTSS
  • apache2-mod_php53 >= 5.3.17-47.1
  • php53 >= 5.3.17-47.1
  • php53-bcmath >= 5.3.17-47.1
  • php53-bz2 >= 5.3.17-47.1
  • php53-calendar >= 5.3.17-47.1
  • php53-ctype >= 5.3.17-47.1
  • php53-curl >= 5.3.17-47.1
  • php53-dba >= 5.3.17-47.1
  • php53-dom >= 5.3.17-47.1
  • php53-exif >= 5.3.17-47.1
  • php53-fastcgi >= 5.3.17-47.1
  • php53-fileinfo >= 5.3.17-47.1
  • php53-ftp >= 5.3.17-47.1
  • php53-gd >= 5.3.17-47.1
  • php53-gettext >= 5.3.17-47.1
  • php53-gmp >= 5.3.17-47.1
  • php53-iconv >= 5.3.17-47.1
  • php53-intl >= 5.3.17-47.1
  • php53-json >= 5.3.17-47.1
  • php53-ldap >= 5.3.17-47.1
  • php53-mbstring >= 5.3.17-47.1
  • php53-mcrypt >= 5.3.17-47.1
  • php53-mysql >= 5.3.17-47.1
  • php53-odbc >= 5.3.17-47.1
  • php53-openssl >= 5.3.17-47.1
  • php53-pcntl >= 5.3.17-47.1
  • php53-pdo >= 5.3.17-47.1
  • php53-pear >= 5.3.17-47.1
  • php53-pgsql >= 5.3.17-47.1
  • php53-pspell >= 5.3.17-47.1
  • php53-shmop >= 5.3.17-47.1
  • php53-snmp >= 5.3.17-47.1
  • php53-soap >= 5.3.17-47.1
  • php53-suhosin >= 5.3.17-47.1
  • php53-sysvmsg >= 5.3.17-47.1
  • php53-sysvsem >= 5.3.17-47.1
  • php53-sysvshm >= 5.3.17-47.1
  • php53-tokenizer >= 5.3.17-47.1
  • php53-wddx >= 5.3.17-47.1
  • php53-xmlreader >= 5.3.17-47.1
  • php53-xmlrpc >= 5.3.17-47.1
  • php53-xmlwriter >= 5.3.17-47.1
  • php53-xsl >= 5.3.17-47.1
  • php53-zip >= 5.3.17-47.1
  • php53-zlib >= 5.3.17-47.1
Patchnames:
slessp2-php53-12621
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • apache2-mod_php53 >= 5.3.17-48.1
  • php53 >= 5.3.17-48.1
  • php53-bcmath >= 5.3.17-48.1
  • php53-bz2 >= 5.3.17-48.1
  • php53-calendar >= 5.3.17-48.1
  • php53-ctype >= 5.3.17-48.1
  • php53-curl >= 5.3.17-48.1
  • php53-dba >= 5.3.17-48.1
  • php53-dom >= 5.3.17-48.1
  • php53-exif >= 5.3.17-48.1
  • php53-fastcgi >= 5.3.17-48.1
  • php53-fileinfo >= 5.3.17-48.1
  • php53-ftp >= 5.3.17-48.1
  • php53-gd >= 5.3.17-48.1
  • php53-gettext >= 5.3.17-48.1
  • php53-gmp >= 5.3.17-48.1
  • php53-iconv >= 5.3.17-48.1
  • php53-intl >= 5.3.17-48.1
  • php53-json >= 5.3.17-48.1
  • php53-ldap >= 5.3.17-48.1
  • php53-mbstring >= 5.3.17-48.1
  • php53-mcrypt >= 5.3.17-48.1
  • php53-mysql >= 5.3.17-48.1
  • php53-odbc >= 5.3.17-48.1
  • php53-openssl >= 5.3.17-48.1
  • php53-pcntl >= 5.3.17-48.1
  • php53-pdo >= 5.3.17-48.1
  • php53-pear >= 5.3.17-48.1
  • php53-pgsql >= 5.3.17-48.1
  • php53-pspell >= 5.3.17-48.1
  • php53-shmop >= 5.3.17-48.1
  • php53-snmp >= 5.3.17-48.1
  • php53-soap >= 5.3.17-48.1
  • php53-suhosin >= 5.3.17-48.1
  • php53-sysvmsg >= 5.3.17-48.1
  • php53-sysvsem >= 5.3.17-48.1
  • php53-sysvshm >= 5.3.17-48.1
  • php53-tokenizer >= 5.3.17-48.1
  • php53-wddx >= 5.3.17-48.1
  • php53-xmlreader >= 5.3.17-48.1
  • php53-xmlrpc >= 5.3.17-48.1
  • php53-xmlwriter >= 5.3.17-48.1
  • php53-xsl >= 5.3.17-48.1
  • php53-zip >= 5.3.17-48.1
  • php53-zlib >= 5.3.17-48.1
Patchnames:
slessp3-php53-12163
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_php53 >= 5.3.17-48.1
  • php53 >= 5.3.17-48.1
  • php53-bcmath >= 5.3.17-48.1
  • php53-bz2 >= 5.3.17-48.1
  • php53-calendar >= 5.3.17-48.1
  • php53-ctype >= 5.3.17-48.1
  • php53-curl >= 5.3.17-48.1
  • php53-dba >= 5.3.17-48.1
  • php53-dom >= 5.3.17-48.1
  • php53-exif >= 5.3.17-48.1
  • php53-fastcgi >= 5.3.17-48.1
  • php53-fileinfo >= 5.3.17-48.1
  • php53-ftp >= 5.3.17-48.1
  • php53-gd >= 5.3.17-48.1
  • php53-gettext >= 5.3.17-48.1
  • php53-gmp >= 5.3.17-48.1
  • php53-iconv >= 5.3.17-48.1
  • php53-intl >= 5.3.17-48.1
  • php53-json >= 5.3.17-48.1
  • php53-ldap >= 5.3.17-48.1
  • php53-mbstring >= 5.3.17-48.1
  • php53-mcrypt >= 5.3.17-48.1
  • php53-mysql >= 5.3.17-48.1
  • php53-odbc >= 5.3.17-48.1
  • php53-openssl >= 5.3.17-48.1
  • php53-pcntl >= 5.3.17-48.1
  • php53-pdo >= 5.3.17-48.1
  • php53-pear >= 5.3.17-48.1
  • php53-pgsql >= 5.3.17-48.1
  • php53-pspell >= 5.3.17-48.1
  • php53-shmop >= 5.3.17-48.1
  • php53-snmp >= 5.3.17-48.1
  • php53-soap >= 5.3.17-48.1
  • php53-suhosin >= 5.3.17-48.1
  • php53-sysvmsg >= 5.3.17-48.1
  • php53-sysvsem >= 5.3.17-48.1
  • php53-sysvshm >= 5.3.17-48.1
  • php53-tokenizer >= 5.3.17-48.1
  • php53-wddx >= 5.3.17-48.1
  • php53-xmlreader >= 5.3.17-48.1
  • php53-xmlrpc >= 5.3.17-48.1
  • php53-xmlwriter >= 5.3.17-48.1
  • php53-xsl >= 5.3.17-48.1
  • php53-zip >= 5.3.17-48.1
  • php53-zlib >= 5.3.17-48.1
Patchnames:
slessp4-php53-12163
SUSE Linux Enterprise Software Development Kit 11 SP3
  • php53-devel >= 5.3.17-48.1
  • php53-imap >= 5.3.17-48.1
  • php53-posix >= 5.3.17-48.1
  • php53-readline >= 5.3.17-48.1
  • php53-sockets >= 5.3.17-48.1
  • php53-sqlite >= 5.3.17-48.1
  • php53-tidy >= 5.3.17-48.1
Patchnames:
sdksp3-php53-12163
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53-devel >= 5.3.17-48.1
  • php53-imap >= 5.3.17-48.1
  • php53-posix >= 5.3.17-48.1
  • php53-readline >= 5.3.17-48.1
  • php53-sockets >= 5.3.17-48.1
  • php53-sqlite >= 5.3.17-48.1
  • php53-tidy >= 5.3.17-48.1
Patchnames:
sdksp4-php53-12163
SUSE Linux Enterprise Software Development Kit 12 SP1
  • php5-devel >= 5.5.14-39.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • php5-devel >= 5.5.14-73.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5-devel >= 5.5.14-108.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php5-devel >= 5.5.14-109.41.1
SUSE Linux Enterprise Software Development Kit 12
  • php5-devel >= 5.5.14-36.1
Patchnames:
SUSE-SLE-SDK-12-2015-603


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications php53 Released
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Released
SUSE Linux Enterprise Point of Service 11 SP3 php53 Released
SUSE Linux Enterprise Server 11 SP2 php5 Not affected
SUSE Linux Enterprise Server 11 SP2 php53 Released
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS php53 Released
SUSE Linux Enterprise Server 11 SP2 for VMware php5 Not affected
SUSE Linux Enterprise Server 11 SP2 for VMware php53 Released
SUSE Linux Enterprise Server 11 SP3 php53 Released
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Released
SUSE Linux Enterprise Server 11 SP3 for VMware php53 Released
SUSE Linux Enterprise Server 11 SP4 php53 Released
SUSE Linux Enterprise Server 11 SP4 LTSS php53 Released
SUSE Linux Enterprise Software Development Kit 11 SP2 php5 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP2 php53 Released
SUSE Linux Enterprise Software Development Kit 11 SP3 php53 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 php53 Released
SUSE Linux Enterprise Software Development Kit 12 php5 Released
SUSE Linux Enterprise Software Development Kit 12 SP1 php5 Released